Bug 520519 - corosync-keygen doesn't work
Summary: corosync-keygen doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: corosync
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven Dake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 21:36 UTC by Kevin Fenzi
Modified: 2016-04-26 17:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-28 14:55:23 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2009-08-31 21:36:16 UTC
# corosync-keygen
Corosync Cluster Engine Authentication key generator.
Gathering 1024 bits for key from /dev/random.
Could not read /dev/random: File exists

I get this on any rawhide machine I seem to try and run it on. ;( 

The end of an strace shows: 

open("/dev/random", O_RDONLY)           = 3
read(3, 
"\330\326+\212\24\244\303i"..., 128) = 8
dup(2)                                  = 4
fcntl(4, F_GETFL)                       = 0x8002 (flags O_RDWR|O_LARGEFILE)
brk(0)                                  = 0x1468000
brk(0x1489000)                          = 0x1489000
fstat(4, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fcf44506000
lseek(4, 0, SEEK_CUR)                   = -1 ESPIPE (Illegal seek)
write(4, "Could not read /dev/random: File "..., 40Could not read /dev/random: File exists
) = 40
close(4)

Comment 1 Steven Dake 2009-08-31 22:56:13 UTC
This is fixed upstream.  I will be releasing a Corosync 1.0.1 release this week to address this as well as some other defects.  Hopefully the new corosync will hit the repos this week.

Regards
-steve

Comment 2 Steven Dake 2009-09-28 14:55:23 UTC
Fixed in rawhide and f11.  F10 fix coming soon.

Regards
-steve


Note You need to log in before you can comment on or make changes to this bug.